FROM node:20.11.1-alpine

RUN mkdir -p /home/web

ADD . /home/web

WORKDIR /home/web

COPY package*.json ./

RUN npm fund

RUN npm audit fix --force

RUN npm audit

RUN npm install

#RUN npm run build

ENV LANG C.UTF-8

EXPOSE ${PORT}

CMD ["sh","-c","node /home/web/app.js ${PORT}"]